{"openapi":"3.1.0","info":{"title":"GET /api/v1/billing/grandfathered-summary","version":"1.0.0","description":"Get Grandfathered Summary"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/billing/grandfathered-summary":{"get":{"tags":["billing"],"summary":"Get Grandfathered Summary","description":"Return a summary of the grandfathered business's current access and available plans.\n\n**Returns:**\n- `current_access`: What the grandfathered account includes today\n- `available_plans`: Plans the business can migrate to with pricing","operationId":"get_grandfathered_summary_api_v1_billing_grandfathered_summary_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessEnvelope_GetGrandfatheredSummaryResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"GetGrandfatheredSummaryResponse":{"properties":{"plan_tier":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Plan Tier"},"is_grandfathered":{"type":"boolean","title":"Is Grandfathered"},"current_access":{"$ref":"#/components/schemas/GrandfatheredCurrentAccess"},"available_plans":{"items":{"$ref":"#/components/schemas/GrandfatheredAvailablePlan"},"type":"array","title":"Available Plans"}},"additionalProperties":true,"type":"object","required":["is_grandfathered","current_access","available_plans"],"title":"GetGrandfatheredSummaryResponse","description":"Response for ``get_grandfathered_summary``."},"GrandfatheredAvailablePlan":{"properties":{"plan_tier":{"type":"string","title":"Plan Tier"},"catalog_slug":{"type":"string","title":"Catalog Slug"},"price_amount":{"type":"integer","title":"Price Amount"},"interval":{"type":"string","title":"Interval"}},"additionalProperties":true,"type":"object","required":["plan_tier","catalog_slug","price_amount","interval"],"title":"GrandfatheredAvailablePlan"},"GrandfatheredCurrentAccess":{"properties":{"all_addons_included":{"type":"boolean","title":"All Addons Included"},"addons":{"items":{"type":"string"},"type":"array","title":"Addons"},"ai_monthly_limit":{"type":"integer","title":"Ai Monthly Limit"},"has_ai_pro":{"type":"boolean","title":"Has Ai Pro"},"billing_status":{"type":"string","title":"Billing Status"},"no_payment_required":{"type":"boolean","title":"No Payment Required"}},"additionalProperties":true,"type":"object","required":["all_addons_included","addons","ai_monthly_limit","has_ai_pro","billing_status","no_payment_required"],"title":"GrandfatheredCurrentAccess"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"SuccessEnvelope_GetGrandfatheredSummaryResponse_":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/GetGrandfatheredSummaryResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[GetGrandfatheredSummaryResponse]"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}